- added filter-jprojects.sh
- allow force-push
- fixed CHMOD
Signed-off-by: Roland Haeder <roland@mxchange.org>
--- /dev/null
+#!/bin/bash
+
+. ./.jprojects.sh || exit 255
+
+for project in ${LIST}; do
+ echo "$0: Processing '${project}' ..."
+ cd "${JPROJECTS_HOME}/${project}/" || exit 255
+ /opt/bin/git-author.sh || exit 255
+done
+
+echo "$0: All done."
+exit 0
. ./.jprojects.sh || exit 255
TARGETS="o d t u"
+FORCE="--force"
if [ "$1" = "a" ]
then
git push daedalus :"$2"
fi
- git push --all daedalus || exit 255
+ git push ${FORCE} --all daedalus || exit 255
elif [ "$1" = "t" ]
then
if [ -n "$2" ]
git push transport :"$2"
fi
- git push --all transport || exit 255
+ git push ${FORCE} --all transport || exit 255
elif [ "$1" = "u" ]
then
if [ -n "$2" ]
git push upstream :"$2"
fi
- git push --all upstream || exit 255
+ git push ${FORCE} --all upstream || exit 255
else
if [ -n "$2" ]
then
git push origin :"$2"
fi
- git push --all || exit 255
+ git push ${FORCE} --all || exit 255
fi
done